<!--[metadata]>
+++
title = "push"
description = "The push command description and usage"
keywords = ["share, push, image"]
[menu.main]
parent = "smn_cli"
weight=1
+++
<![end-metadata]-->

# push

    Usage: docker push NAME[:TAG]

    Push an image or a repository to the registry

    --disable-content-trust=true   Skip image signing

Use `docker push` to share your images to the [Docker Hub](https://hub.docker.com)
registry or to a self-hosted one.
